ParserVisitor (Commons JEXL 2.0.1 API)
Keywords: org.apache.commons.jexl2.parser.ParserVisitor interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.parser
Interface ParserVisitor

All Known Implementing Classes:
  Interpreter

    public interface ParserVisitor

Method Summary
`java.lang.Object` | `visit(ASTAdditiveNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTAdditiveOperator node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTAmbiguous node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTAndNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTArrayAccess node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTArrayLiteral node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTAssignment node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTBitwiseAndNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTBitwiseComplNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTBitwiseOrNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTBitwiseXorNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTBlock node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTConstructorNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTDivNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTEmptyFunction node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTEQNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTERNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTFalseNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTFloatLiteral node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTForeachStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTFunctionNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTGENode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTGTNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTIdentifier node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTIfStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTIntegerLiteral node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTJexlScript node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTLENode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTLTNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTMapEntry node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTMapLiteral node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTMethodNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTModNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTMulNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTNENode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTNotNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTNRNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTNullLiteral node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTOrNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTReference node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTSizeFunction node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTSizeMethod node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTStringLiteral node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTTernaryNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTTrueNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTUnaryMinusNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTWhileStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(SimpleNode node, java.lang.Object data)`

Method Detail

### visit

    java.lang.Object visit(SimpleNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTJexlScript node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTBlock node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTAmbiguous node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTIfStatement node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTWhileStatement node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTForeachStatement node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTAssignment node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTTernaryNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTOrNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTAndNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTBitwiseOrNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTBitwiseXorNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTBitwiseAndNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTEQNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTNENode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTLTNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTGTNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTLENode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTGENode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTERNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTNRNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTAdditiveNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTAdditiveOperator node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTMulNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTDivNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTModNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTUnaryMinusNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTBitwiseComplNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTNotNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTIdentifier node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTNullLiteral node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTTrueNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTFalseNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTIntegerLiteral node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTFloatLiteral node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTStringLiteral node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTArrayLiteral node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTMapLiteral node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTMapEntry node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTEmptyFunction node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTSizeFunction node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTFunctionNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTMethodNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTSizeMethod node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTConstructorNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTArrayAccess node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTReference node,
                           java.lang.Object data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.